<?php
// Data urodzin (możesz wpisać swoje)
$person = 'Robert Lewandowski';
$d = 21; // dzień
$m = 8; // miesiąc
$y = 1988; // rok
 
// jak długo żyjesz?
$seconds = time() - mktime(0, 0, 1, $m, $d, $y);
$days = (int)($seconds / 86400); // 86 400 sekund = 1 dzień
 
// obliczanie trendów - zakres od -100 do 100
// korzystamy ze stałych zdefiniowanych w języku PHP - M_PI i M_PI_2
// więcej: http://php.net/manual/en/function.pi.php
$pi2 = M_PI + M_PI;
 
// cykl intelektualny
$i = (($days % 33) / 33) * $pi2;
$ii = sin($i) * 100;
 
// cykl emocjonalny
$e = (($days % 28) / 28) * $pi2;
$ee = sin($e) * 100;
 
// cykl fizyczny
$f = (($days % 23) / 23) * $pi2;
$ff = sin($f) * 100;
 
// jaka jest tendencja cyklu?
function t($t) {
    return (($t >= M_PI_2) && ($t < M_PI_2 + M_PI)) ? 'spadkowa' : 'wzrostowa';
}
 
// drukowanie wyników
printf("$person żyje już %d sekund, czyli %d dni!".PHP_EOL, $seconds, $days);
printf("Dzisiaj jego cykle są następujące:".PHP_EOL);
printf("- intelektualny %d [tendencja %s]".PHP_EOL, $ii, t($i));
printf("- emocjonalny %d [tendencja %s]".PHP_EOL, $ee, t($e));
printf("- fizyczny %d [tendencja %s]".PHP_EOL, $ff, t($f));